Subject: Re: [PATCH net] netdevsim: avoid potential loop in nsim_dev_trap_report_work()

From: Jakub Kicinski <[email-masked]>
Date: Thu, 1 Feb 2024 13:41:08 -0800

On Thu, 1 Feb 2024 21:10:46 +0100 Eric Dumazet wrote:
> > And possibly adding 1ms delay there could be problematic?  
> 
> A conversion to schedule_delayed_work() would be needed I think.
> 
> I looked at all syzbot reports and did not find
> devlink_rel_nested_in_notify_work() in them,
> I guess we were lucky all this time :)

FWIW the devlink_rel_* stuff is for linecards and SIOV sub function
instances, netdevsim can't fake those so syzbot probably never
exercises that code :(

Jiri is on CC, so we can consider him notified about the problem
and leave it to him? :)